<?php

if(!defined('ABSPATH'))
    exit;

return array(
    'AED' => array(
        'code' => 'AED',
        'name' => 'United Arab Emirates dirham',
        'symbol' => 'د.إ',
        'flag' => 'ae',
        'continent' => 'Asia',
        'countries' => array(
            'ae',
        ),
        'languages' => array(
            'ar',
        ),
    ),
    'AFN' => array(
        'code' => 'AFN',
        'name' => 'Afghan afghani',
        'symbol' => '؋',
        'flag' => 'af',
        'continent' => 'Asia',
        'countries' => array(
            'af',
        ),
        'languages' => array(
            'fa_AF',
            'haz',
            'ps',
            'uz_UZ',
        ),
    ),
    'ALL' => array(
        'code' => 'ALL',
        'name' => 'Albanian lek',
        'symbol' => 'L',
        'flag' => 'al',
        'continent' => 'Europe',
        'countries' => array(
            'al',
        ),
        'languages' => array(
            'sq',
        ),
    ),
    'AMD' => array(
        'code' => 'AMD',
        'name' => 'Armenian dram',
        'symbol' => '֏',
        'flag' => 'am',
        'continent' => 'Asia',
        'countries' => array(
            'am',
        ),
        'languages' => array(
            'hy',
            'ru_RU',
        ),
    ),
    'AOA' => array(
        'code' => 'AOA',
        'name' => 'Angolan kwanza',
        'symbol' => 'Kz',
        'flag' => 'ao',
        'continent' => 'Africa',
        'countries' => array(
            'ao',
        ),
        'languages' => array(
            'pt_AO',
        ),
    ),
    'ARS' => array(
        'code' => 'ARS',
        'name' => 'Argentine peso',
        'symbol' => '$',
        'flag' => 'ar',
        'continent' => 'America',
        'countries' => array(
            'ar',
        ),
        'languages' => array(
            'es_AR',
        ),
    ),
    'AUD' => array(
        'code' => 'AUD',
        'name' => 'Australian dollar',
        'symbol' => '$',
        'flag' => 'au',
        'continent' => 'Oceania',
        'countries' => array(
            'au',
            'cc',
            'cx',
            'ki',
            'nf',
            'nr',
            'tv',
        ),
        'languages' => array(
            'en_AU',
            'en_US',
        ),
    ),
    'AWG' => array(
        'code' => 'AWG',
        'name' => 'Aruban florin',
        'symbol' => 'ƒ',
        'flag' => 'aw',
        'continent' => 'America',
        'countries' => array(
            'aw',
        ),
        'languages' => array(
            'nl_NL',
            'pa_IN',
        ),
    ),
    'AZN' => array(
        'code' => 'AZN',
        'name' => 'Azerbaijani manat',
        'symbol' => '₼',
        'flag' => 'az',
        'continent' => 'Asia',
        'countries' => array(
            'az',
        ),
        'languages' => array(
            'az',
            'azb',
        ),
    ),
    'BAM' => array(
        'code' => 'BAM',
        'name' => 'Bosnia and Herzegovina convertible mark',
        'symbol' => 'KM',
        'flag' => 'ba',
        'continent' => 'Europe',
        'countries' => array(
            'ba',
        ),
        'languages' => array(
            'bs_BA',
            'hr',
            'sr_RS',
        ),
    ),
    'BBD' => array(
        'code' => 'BBD',
        'name' => 'Barbadian dollar',
        'symbol' => '$',
        'flag' => 'bb',
        'continent' => 'America',
        'countries' => array(
            'bb',
        ),
        'languages' => array(
            'en_US',
        ),
    ),
    'BDT' => array(
        'code' => 'BDT',
        'name' => 'Bangladeshi taka',
        'symbol' => '৳',
        'flag' => 'bd',
        'continent' => 'Asia',
        'countries' => array(
            'bd',
        ),
        'languages' => array(
            'bn_BD',
        ),
    ),
    'BGN' => array(
        'code' => 'BGN',
        'name' => 'Bulgarian lev',
        'symbol' => 'лв',
        'flag' => 'bg',
        'continent' => 'Europe',
        'countries' => array(
            'bg',
        ),
        'languages' => array(
            'bg_BG',
        ),
    ),
    'BHD' => array(
        'code' => 'BHD',
        'name' => 'Bahraini dinar',
        'symbol' => '.د.ب',
        'flag' => 'bh',
        'continent' => 'Asia',
        'countries' => array(
            'bh',
        ),
        'languages' => array(
            'ar',
        ),
    ),
    'BIF' => array(
        'code' => 'BIF',
        'name' => 'Burundian franc',
        'symbol' => 'Fr',
        'flag' => 'bi',
        'continent' => 'Africa',
        'countries' => array(
            'bi',
        ),
        'languages' => array(
            'fr_FR',
        ),
    ),
    'BMD' => array(
        'code' => 'BMD',
        'name' => 'Bermudian dollar',
        'symbol' => '$',
        'flag' => 'bm',
        'continent' => 'America',
        'countries' => array(
            'bm',
        ),
        'languages' => array(
            'en_US',
        ),
    ),
    'BND' => array(
        'code' => 'BND',
        'name' => 'Brunei dollar',
        'symbol' => '$',
        'flag' => 'bn',
        'continent' => 'Asia',
        'countries' => array(
            'bn',
            'sg',
        ),
        'languages' => array(
            'en_US',
            'ms_MY',
            'ta_IN',
            'ta_LK',
            'zh_CN',
            'zh_HK',
            'zh_TW',
        ),
    ),
    'BOB' => array(
        'code' => 'BOB',
        'name' => 'Bolivian boliviano',
        'symbol' => 'Bs.',
        'flag' => 'bo',
        'continent' => 'America',
        'countries' => array(
            'bo',
        ),
        'languages' => array(
            'es_ES',
        ),
    ),
    'BRL' => array(
        'code' => 'BRL',
        'name' => 'Brazilian real',
        'symbol' => 'R$',
        'flag' => 'br',
        'continent' => 'America',
        'countries' => array(
            'br',
        ),
        'languages' => array(
            'pt_BR',
        ),
    ),
    'BSD' => array(
        'code' => 'BSD',
        'name' => 'Bahamian dollar',
        'symbol' => '$',
        'flag' => 'bs',
        'continent' => 'America',
        'countries' => array(
            'bs',
        ),
        'languages' => array(
            'en_US',
        ),
    ),
    'BTN' => array(
        'code' => 'BTN',
        'name' => 'Bhutanese ngultrum',
        'symbol' => 'Nu.',
        'flag' => 'bt',
        'continent' => 'Asia',
        'countries' => array(
            'bt',
        ),
        'languages' => array(
            'dzo',
        ),
    ),
    'BWP' => array(
        'code' => 'BWP',
        'name' => 'Botswana pula',
        'symbol' => 'P',
        'flag' => 'bw',
        'continent' => 'Africa',
        'countries' => array(
            'bw',
            'zw',
        ),
        'languages' => array(
            'en_US',
        ),
    ),
    'BYN' => array(
        'code' => 'BYN',
        'name' => 'New Belarusian ruble',
        'symbol' => 'Br',
        'flag' => 'by',
        'continent' => 'Europe',
        'countries' => array(
            'by',
        ),
        'languages' => array(
            'bel',
            'ru_RU',
        ),
    ),
    'BYR' => array(
        'code' => 'BYR',
        'name' => 'Old Belarusian ruble',
        'symbol' => 'Br',
        'flag' => 'by',
        'continent' => 'Europe',
        'countries' => array(
            'by',
        ),
        'languages' => array(
            'bel',
            'ru_RU',
        ),
    ),
    'BZD' => array(
        'code' => 'BZD',
        'name' => 'Belize dollar',
        'symbol' => '$',
        'flag' => 'bz',
        'continent' => 'America',
        'countries' => array(
            'bz',
        ),
        'languages' => array(
            'en_US',
            'es_ES',
        ),
    ),
    'CAD' => array(
        'code' => 'CAD',
        'name' => 'Canadian dollar',
        'symbol' => '$',
        'flag' => 'ca',
        'continent' => 'America',
        'countries' => array(
            'ca',
        ),
        'languages' => array(
            'en_CA',
            'fr_CA',
        ),
    ),
    'CDF' => array(
        'code' => 'CDF',
        'name' => 'Congolese franc',
        'symbol' => 'Fr',
        'flag' => 'cd',
        'continent' => 'Africa',
        'countries' => array(
            'cd',
        ),
        'languages' => array(
            'fr_FR',
            'sw',
        ),
    ),
    'CHF' => array(
        'code' => 'CHF',
        'name' => 'Swiss franc',
        'symbol' => 'Fr',
        'flag' => 'ch',
        'continent' => 'Europe',
        'countries' => array(
            'ch',
            'li',
        ),
        'languages' => array(
            'de_CH',
            'de_CH_informal',
            'de_DE',
            'fr_FR',
            'it_IT',
        ),
    ),
    'CKD' => array(
        'code' => 'CKD',
        'name' => 'Cook Islands dollar',
        'symbol' => '$',
        'flag' => 'ck',
        'continent' => 'Oceania',
        'countries' => array(
            'ck',
        ),
        'languages' => array(
            'en_US',
        ),
    ),
    'CLP' => array(
        'code' => 'CLP',
        'name' => 'Chilean peso',
        'symbol' => '$',
        'flag' => 'cl',
        'continent' => 'America',
        'countries' => array(
            'cl',
        ),
        'languages' => array(
            'es_CL',
        ),
    ),
    'CNY' => array(
        'code' => 'CNY',
        'name' => 'Chinese yuan',
        'symbol' => '¥',
        'flag' => 'cn',
        'continent' => 'Asia',
        'countries' => array(
            'cn',
            'zw',
        ),
        'languages' => array(
            'bo',
            'en_US',
            'ug_CN',
            'zh_CN',
        ),
    ),
    'COP' => array(
        'code' => 'COP',
        'name' => 'Colombian peso',
        'symbol' => '$',
        'flag' => 'co',
        'continent' => 'America',
        'countries' => array(
            'co',
        ),
        'languages' => array(
            'es_CO',
        ),
    ),
    'CRC' => array(
        'code' => 'CRC',
        'name' => 'Costa Rican colón',
        'symbol' => '₡',
        'flag' => 'cr',
        'continent' => 'America',
        'countries' => array(
            'cr',
        ),
        'languages' => array(
            'es_CR',
        ),
    ),
    'CUC' => array(
        'code' => 'CUC',
        'name' => 'Cuban convertible peso',
        'symbol' => '$',
        'flag' => 'cu',
        'continent' => 'America',
        'countries' => array(
            'cu',
        ),
        'languages' => array(
            'es_ES',
        ),
    ),
    'CUP' => array(
        'code' => 'CUP',
        'name' => 'Cuban peso',
        'symbol' => '$',
        'flag' => 'cu',
        'continent' => 'America',
        'countries' => array(
            'cu',
        ),
        'languages' => array(
            'es_ES',
        ),
    ),
    'CVE' => array(
        'code' => 'CVE',
        'name' => 'Cape Verdean escudo',
        'symbol' => 'Esc',
        'flag' => 'cv',
        'continent' => 'Africa',
        'countries' => array(
            'cv',
        ),
        'languages' => array(
            'pt_PT',
        ),
    ),
    'CZK' => array(
        'code' => 'CZK',
        'name' => 'Czech koruna',
        'symbol' => 'Kč',
        'flag' => 'cz',
        'continent' => 'Europe',
        'countries' => array(
            'cz',
        ),
        'languages' => array(
            'cs_CZ',
            'sk_SK',
        ),
    ),
    'DJF' => array(
        'code' => 'DJF',
        'name' => 'Djiboutian franc',
        'symbol' => 'Fr',
        'flag' => 'dj',
        'continent' => 'Africa',
        'countries' => array(
            'dj',
        ),
        'languages' => array(
            'ar',
            'fr_FR',
        ),
    ),
    'DKK' => array(
        'code' => 'DKK',
        'name' => 'Danish krone',
        'symbol' => 'kr',
        'flag' => 'dk',
        'continent' => 'Europe',
        'countries' => array(
            'dk',
            'fo',
            'gl',
        ),
        'languages' => array(
            'da_DK',
            'en_US',
        ),
    ),
    'DOP' => array(
        'code' => 'DOP',
        'name' => 'Dominican peso',
        'symbol' => '$',
        'flag' => 'do',
        'continent' => 'America',
        'countries' => array(
            'do',
        ),
        'languages' => array(
            'es_ES',
        ),
    ),
    'DZD' => array(
        'code' => 'DZD',
        'name' => 'Algerian dinar',
        'symbol' => 'د.ج',
        'flag' => 'dz',
        'continent' => 'Africa',
        'countries' => array(
            'dz',
            'eh',
        ),
        'languages' => array(
            'ar',
            'es_ES',
            'kab',
        ),
    ),
    'EGP' => array(
        'code' => 'EGP',
        'name' => 'Egyptian pound',
        'symbol' => '£',
        'flag' => 'eg',
        'continent' => 'Africa',
        'countries' => array(
            'eg',
        ),
        'languages' => array(
            'ar',
        ),
    ),
    'ERN' => array(
        'code' => 'ERN',
        'name' => 'Eritrean nakfa',
        'symbol' => 'Nfk',
        'flag' => 'er',
        'continent' => 'Africa',
        'countries' => array(
            'er',
        ),
        'languages' => array(
            'ar',
            'en_US',
        ),
    ),
    'ETB' => array(
        'code' => 'ETB',
        'name' => 'Ethiopian birr',
        'symbol' => 'Br',
        'flag' => 'et',
        'continent' => 'Africa',
        'countries' => array(
            'et',
        ),
        'languages' => array(
            'en_US',
        ),
    ),
    'EUR' => array(
        'code' => 'EUR',
        'name' => 'Euro',
        'symbol' => '€',
        'flag' => 'eu',
        'continent' => 'Europe',
        'countries' => array(
            'ad',
            'at',
            'be',
            'bl',
            'cy',
            'de',
            'ee',
            'es',
            'fi',
            'fr',
            'gf',
            'gp',
            'gr',
            'ie',
            'it',
            'lt',
            'lu',
            'lv',
            'mc',
            'me',
            'mq',
            'mt',
            'nl',
            'pm',
            'pt',
            're',
            'si',
            'sk',
            'sm',
            'va',
            'yt',
            'zw',
        ),
        'languages' => array(
            'bs_BA',
            'ca',
            'de_AT',
            'de_DE',
            'de_DE_formal',
            'dsb',
            'el',
            'en_US',
            'es_ES',
            'et',
            'eu',
            'fi',
            'fr_BE',
            'fr_FR',
            'fur',
            'gl_ES',
            'hr',
            'hsb',
            'hy',
            'it_IT',
            'lt_LT',
            'lv',
            'nl_BE',
            'nl_NL',
            'nl_NL_formal',
            'oci',
            'pt_PT',
            'pt_PT_ao90',
            'sk_SK',
            'sl_SI',
            'sq',
            'sr_RS',
            'sv_SE',
            'tr_TR',
        ),
    ),
    'FJD' => array(
        'code' => 'FJD',
        'name' => 'Fijian dollar',
        'symbol' => '$',
        'flag' => 'fj',
        'continent' => 'Oceania',
        'countries' => array(
            'fj',
        ),
        'languages' => array(
            'en_US',
            'hi_IN',
            'ur',
        ),
    ),
    'FKP' => array(
        'code' => 'FKP',
        'name' => 'Falkland Islands pound',
        'symbol' => '£',
        'flag' => 'fk',
        'continent' => 'America',
        'countries' => array(
            'fk',
        ),
        'languages' => array(
            'en_US',
        ),
    ),
    'GBP' => array(
        'code' => 'GBP',
        'name' => 'British pound',
        'symbol' => '£',
        'flag' => 'gb',
        'continent' => 'Europe',
        'countries' => array(
            'gb',
            'im',
            'je',
            'zw',
        ),
        'languages' => array(
            'cy',
            'en_GB',
            'en_US',
            'fr_FR',
            'gd',
        ),
    ),
    'GEL' => array(
        'code' => 'GEL',
        'name' => 'Georgian Lari',
        'symbol' => 'ლ',
        'flag' => 'ge',
        'continent' => 'Asia',
        'countries' => array(
            'ge',
        ),
        'languages' => array(
            'ka_GE',
        ),
    ),
    'GHS' => array(
        'code' => 'GHS',
        'name' => 'Ghanaian cedi',
        'symbol' => '₵',
        'flag' => 'gh',
        'continent' => 'Africa',
        'countries' => array(
            'gh',
        ),
        'languages' => array(
            'en_US',
        ),
    ),
    'GIP' => array(
        'code' => 'GIP',
        'name' => 'Gibraltar pound',
        'symbol' => '£',
        'flag' => 'gi',
        'continent' => 'Europe',
        'countries' => array(
            'gi',
        ),
        'languages' => array(
            'en_US',
        ),
    ),
    'GMD' => array(
        'code' => 'GMD',
        'name' => 'Gambian dalasi',
        'symbol' => 'D',
        'flag' => 'gm',
        'continent' => 'Africa',
        'countries' => array(
            'gm',
        ),
        'languages' => array(
            'en_US',
        ),
    ),
    'GNF' => array(
        'code' => 'GNF',
        'name' => 'Guinean franc',
        'symbol' => 'Fr',
        'flag' => 'gn',
        'continent' => 'Africa',
        'countries' => array(
            'gn',
        ),
        'languages' => array(
            'fr_FR',
        ),
    ),
    'GTQ' => array(
        'code' => 'GTQ',
        'name' => 'Guatemalan quetzal',
        'symbol' => 'Q',
        'flag' => 'gt',
        'continent' => 'America',
        'countries' => array(
            'gt',
        ),
        'languages' => array(
            'es_GT',
        ),
    ),
    'GYD' => array(
        'code' => 'GYD',
        'name' => 'Guyanese dollar',
        'symbol' => '$',
        'flag' => 'gy',
        'continent' => 'America',
        'countries' => array(
            'gy',
        ),
        'languages' => array(
            'en_US',
        ),
    ),
    'HKD' => array(
        'code' => 'HKD',
        'name' => 'Hong Kong dollar',
        'symbol' => '$',
        'flag' => 'hk',
        'continent' => 'Asia',
        'countries' => array(
            'hk',
        ),
        'languages' => array(
            'en_US',
            'zh_HK',
        ),
    ),
    'HNL' => array(
        'code' => 'HNL',
        'name' => 'Honduran lempira',
        'symbol' => 'L',
        'flag' => 'hn',
        'continent' => 'America',
        'countries' => array(
            'hn',
        ),
        'languages' => array(
            'es_ES',
        ),
    ),
    'HRK' => array(
        'code' => 'HRK',
        'name' => 'Croatian kuna',
        'symbol' => 'kn',
        'flag' => 'hr',
        'continent' => 'Europe',
        'countries' => array(
            'hr',
        ),
        'languages' => array(
            'hr',
        ),
    ),
    'HTG' => array(
        'code' => 'HTG',
        'name' => 'Haitian gourde',
        'symbol' => 'G',
        'flag' => 'ht',
        'continent' => 'America',
        'countries' => array(
            'ht',
        ),
        'languages' => array(
            'fr_FR',
        ),
    ),
    'HUF' => array(
        'code' => 'HUF',
        'name' => 'Hungarian forint',
        'symbol' => 'Ft',
        'flag' => 'hu',
        'continent' => 'Europe',
        'countries' => array(
            'hu',
        ),
        'languages' => array(
            'hu_HU',
        ),
    ),
    'IDR' => array(
        'code' => 'IDR',
        'name' => 'Indonesian rupiah',
        'symbol' => 'Rp',
        'flag' => 'id',
        'continent' => 'Asia',
        'countries' => array(
            'id',
        ),
        'languages' => array(
            'id_ID',
            'jv_ID',
        ),
    ),
    'ILS' => array(
        'code' => 'ILS',
        'name' => 'Israeli new shekel',
        'symbol' => '₪',
        'flag' => 'il',
        'continent' => 'Asia',
        'countries' => array(
            'il',
            'ps',
        ),
        'languages' => array(
            'ar',
            'he_IL',
        ),
    ),
    'IMP[G]' => array(
        'code' => 'IMP[G]',
        'name' => 'Manx pound',
        'symbol' => '£',
        'flag' => 'im',
        'continent' => 'Europe',
        'countries' => array(
            'im',
        ),
        'languages' => array(
            'en_US',
        ),
    ),
    'INR' => array(
        'code' => 'INR',
        'name' => 'Indian rupee',
        'symbol' => '₹',
        'flag' => 'in',
        'continent' => 'Asia',
        'countries' => array(
            'bt',
            'in',
            'zw',
        ),
        'languages' => array(
            'as',
            'dzo',
            'en_US',
            'gu',
            'hi_IN',
            'kn',
            'ml_IN',
            'mr',
            'pa_IN',
            'ta_IN',
            'te',
        ),
    ),
    'IQD' => array(
        'code' => 'IQD',
        'name' => 'Iraqi dinar',
        'symbol' => 'ع.د',
        'flag' => 'iq',
        'continent' => 'Asia',
        'countries' => array(
            'iq',
        ),
        'languages' => array(
            'ar',
            'ckb',
        ),
    ),
    'IRR' => array(
        'code' => 'IRR',
        'name' => 'Iranian rial',
        'symbol' => '﷼',
        'flag' => 'ir',
        'continent' => 'Asia',
        'countries' => array(
            'ir',
        ),
        'languages' => array(
            'ckb',
            'fa_IR',
        ),
    ),
    'ISK' => array(
        'code' => 'ISK',
        'name' => 'Icelandic króna',
        'symbol' => 'kr',
        'flag' => 'is',
        'continent' => 'Europe',
        'countries' => array(
            'is',
        ),
        'languages' => array(
            'is_IS',
        ),
    ),
    'JEP[G]' => array(
        'code' => 'JEP[G]',
        'name' => 'Jersey pound',
        'symbol' => '£',
        'flag' => 'je',
        'continent' => 'Europe',
        'countries' => array(
            'je',
        ),
        'languages' => array(
            'en_US',
            'fr_FR',
        ),
    ),
    'JMD' => array(
        'code' => 'JMD',
        'name' => 'Jamaican dollar',
        'symbol' => '$',
        'flag' => 'jm',
        'continent' => 'America',
        'countries' => array(
            'jm',
        ),
        'languages' => array(
            'en_US',
        ),
    ),
    'JOD' => array(
        'code' => 'JOD',
        'name' => 'Jordanian dinar',
        'symbol' => 'د.ا',
        'flag' => 'jo',
        'continent' => 'Asia',
        'countries' => array(
            'jo',
        ),
        'languages' => array(
            'ar',
        ),
    ),
    'JPY' => array(
        'code' => 'JPY',
        'name' => 'Japanese yen',
        'symbol' => '¥',
        'flag' => 'jp',
        'continent' => 'Asia',
        'countries' => array(
            'jp',
            'zw',
        ),
        'languages' => array(
            'en_US',
            'ja',
        ),
    ),
    'KES' => array(
        'code' => 'KES',
        'name' => 'Kenyan shilling',
        'symbol' => 'Sh',
        'flag' => 'ke',
        'continent' => 'Africa',
        'countries' => array(
            'ke',
        ),
        'languages' => array(
            'en_US',
            'sw',
        ),
    ),
    'KGS' => array(
        'code' => 'KGS',
        'name' => 'Kyrgyzstani som',
        'symbol' => 'с',
        'flag' => 'kg',
        'continent' => 'Asia',
        'countries' => array(
            'kg',
        ),
        'languages' => array(
            'ru_RU',
        ),
    ),
    'KHR' => array(
        'code' => 'KHR',
        'name' => 'Cambodian riel',
        'symbol' => '៛',
        'flag' => 'kh',
        'continent' => 'Asia',
        'countries' => array(
            'kh',
        ),
        'languages' => array(
            'km',
        ),
    ),
    'KMF' => array(
        'code' => 'KMF',
        'name' => 'Comorian franc',
        'symbol' => 'Fr',
        'flag' => 'km',
        'continent' => 'Africa',
        'countries' => array(
            'km',
        ),
        'languages' => array(
            'ar',
            'fr_FR',
        ),
    ),
    'KPW' => array(
        'code' => 'KPW',
        'name' => 'North Korean won',
        'symbol' => '₩',
        'flag' => 'kp',
        'continent' => 'Asia',
        'countries' => array(
            'kp',
        ),
        'languages' => array(
            'ko_KR',
        ),
    ),
    'KRW' => array(
        'code' => 'KRW',
        'name' => 'South Korean won',
        'symbol' => '₩',
        'flag' => 'kr',
        'continent' => 'Asia',
        'countries' => array(
            'kr',
        ),
        'languages' => array(
            'ko_KR',
        ),
    ),
    'KWD' => array(
        'code' => 'KWD',
        'name' => 'Kuwaiti dinar',
        'symbol' => 'د.ك',
        'flag' => 'kw',
        'continent' => 'Asia',
        'countries' => array(
            'kw',
        ),
        'languages' => array(
            'ar',
        ),
    ),
    'KYD' => array(
        'code' => 'KYD',
        'name' => 'Cayman Islands dollar',
        'symbol' => '$',
        'flag' => 'ky',
        'continent' => 'America',
        'countries' => array(
            'ky',
        ),
        'languages' => array(
            'en_US',
        ),
    ),
    'KZT' => array(
        'code' => 'KZT',
        'name' => 'Kazakhstani tenge',
        'symbol' => '₸',
        'flag' => 'kz',
        'continent' => 'Asia',
        'countries' => array(
            'kz',
        ),
        'languages' => array(
            'kk',
            'ru_RU',
        ),
    ),
    'LAK' => array(
        'code' => 'LAK',
        'name' => 'Lao kip',
        'symbol' => '₭',
        'flag' => 'la',
        'continent' => 'Asia',
        'countries' => array(
            'la',
        ),
        'languages' => array(
            'lo',
        ),
    ),
    'LBP' => array(
        'code' => 'LBP',
        'name' => 'Lebanese pound',
        'symbol' => 'ل.ل',
        'flag' => 'lb',
        'continent' => 'Asia',
        'countries' => array(
            'lb',
        ),
        'languages' => array(
            'ar',
            'fr_FR',
        ),
    ),
    'LKR' => array(
        'code' => 'LKR',
        'name' => 'Sri Lankan rupee',
        'symbol' => 'Rs',
        'flag' => 'lk',
        'continent' => 'Asia',
        'countries' => array(
            'lk',
        ),
        'languages' => array(
            'si_LK',
            'ta_LK',
        ),
    ),
    'LRD' => array(
        'code' => 'LRD',
        'name' => 'Liberian dollar',
        'symbol' => '$',
        'flag' => 'lr',
        'continent' => 'Africa',
        'countries' => array(
            'lr',
        ),
        'languages' => array(
            'en_US',
        ),
    ),
    'LSL' => array(
        'code' => 'LSL',
        'name' => 'Lesotho loti',
        'symbol' => 'L',
        'flag' => 'ls',
        'continent' => 'Africa',
        'countries' => array(
            'ls',
        ),
        'languages' => array(
            'en_US',
        ),
    ),
    'LYD' => array(
        'code' => 'LYD',
        'name' => 'Libyan dinar',
        'symbol' => 'ل.د',
        'flag' => 'ly',
        'continent' => 'Africa',
        'countries' => array(
            'ly',
        ),
        'languages' => array(
            'ar',
        ),
    ),
    'MAD' => array(
        'code' => 'MAD',
        'name' => 'Moroccan dirham',
        'symbol' => 'د.م.',
        'flag' => 'ma',
        'continent' => 'Africa',
        'countries' => array(
            'eh',
            'ma',
        ),
        'languages' => array(
            'ary',
            'es_ES',
        ),
    ),
    'MDL' => array(
        'code' => 'MDL',
        'name' => 'Moldovan leu',
        'symbol' => 'L',
        'flag' => 'md',
        'continent' => 'Europe',
        'countries' => array(
            'md',
        ),
        'languages' => array(
            'ro_RO',
        ),
    ),
    'MGA' => array(
        'code' => 'MGA',
        'name' => 'Malagasy ariary',
        'symbol' => 'Ar',
        'flag' => 'mg',
        'continent' => 'Africa',
        'countries' => array(
            'mg',
        ),
        'languages' => array(
            'fr_FR',
        ),
    ),
    'MKD' => array(
        'code' => 'MKD',
        'name' => 'Macedonian denar',
        'symbol' => 'ден',
        'flag' => 'mk',
        'continent' => 'Europe',
        'countries' => array(
            'mk',
        ),
        'languages' => array(
            'mk_MK',
        ),
    ),
    'MMK' => array(
        'code' => 'MMK',
        'name' => 'Burmese kyat',
        'symbol' => 'Ks',
        'flag' => 'mm',
        'continent' => 'Asia',
        'countries' => array(
            'mm',
        ),
        'languages' => array(
            'my_MM',
            'rhg',
        ),
    ),
    'MNT' => array(
        'code' => 'MNT',
        'name' => 'Mongolian tögrög',
        'symbol' => '₮',
        'flag' => 'mn',
        'continent' => 'Asia',
        'countries' => array(
            'mn',
        ),
        'languages' => array(
            'mn',
        ),
    ),
    'MOP' => array(
        'code' => 'MOP',
        'name' => 'Macanese pataca',
        'symbol' => 'P',
        'flag' => 'mo',
        'continent' => 'Asia',
        'countries' => array(
            'mo',
        ),
        'languages' => array(
            'pt_PT',
            'zh_CN',
            'zh_HK',
            'zh_TW',
        ),
    ),
    'MRO' => array(
        'code' => 'MRO',
        'name' => 'Mauritanian ouguiya',
        'symbol' => 'UM',
        'flag' => 'mr',
        'continent' => 'Africa',
        'countries' => array(
            'mr',
        ),
        'languages' => array(
            'ar',
        ),
    ),
    'MUR' => array(
        'code' => 'MUR',
        'name' => 'Mauritian rupee',
        'symbol' => '₨',
        'flag' => 'mu',
        'continent' => 'Africa',
        'countries' => array(
            'mu',
        ),
        'languages' => array(
            'en_US',
        ),
    ),
    'MVR' => array(
        'code' => 'MVR',
        'name' => 'Maldivian rufiyaa',
        'symbol' => '.ރ',
        'flag' => 'mv',
        'continent' => 'Asia',
        'countries' => array(
            'mv',
        ),
        'languages' => array(
            'en_US',
        ),
    ),
    'MWK' => array(
        'code' => 'MWK',
        'name' => 'Malawian kwacha',
        'symbol' => 'MK',
        'flag' => 'mw',
        'continent' => 'Africa',
        'countries' => array(
            'mw',
        ),
        'languages' => array(
            'en_US',
        ),
    ),
    'MXN' => array(
        'code' => 'MXN',
        'name' => 'Mexican peso',
        'symbol' => '$',
        'flag' => 'mx',
        'continent' => 'America',
        'countries' => array(
            'mx',
        ),
        'languages' => array(
            'es_MX',
        ),
    ),
    'MYR' => array(
        'code' => 'MYR',
        'name' => 'Malaysian ringgit',
        'symbol' => 'RM',
        'flag' => 'my',
        'continent' => 'Asia',
        'countries' => array(
            'my',
        ),
        'languages' => array(
            'ms_MY',
        ),
    ),
    'MZN' => array(
        'code' => 'MZN',
        'name' => 'Mozambican metical',
        'symbol' => 'MT',
        'flag' => 'mz',
        'continent' => 'Africa',
        'countries' => array(
            'mz',
        ),
        'languages' => array(
            'pt_PT',
        ),
    ),
    'NAD' => array(
        'code' => 'NAD',
        'name' => 'Namibian dollar',
        'symbol' => '$',
        'flag' => 'na',
        'continent' => 'Africa',
        'countries' => array(
            'na',
        ),
        'languages' => array(
            'af',
            'en_US',
        ),
    ),
    'NGN' => array(
        'code' => 'NGN',
        'name' => 'Nigerian naira',
        'symbol' => '₦',
        'flag' => 'ng',
        'continent' => 'Africa',
        'countries' => array(
            'ng',
        ),
        'languages' => array(
            'en_US',
        ),
    ),
    'NIO' => array(
        'code' => 'NIO',
        'name' => 'Nicaraguan córdoba',
        'symbol' => 'C$',
        'flag' => 'ni',
        'continent' => 'America',
        'countries' => array(
            'ni',
        ),
        'languages' => array(
            'es_ES',
        ),
    ),
    'NOK' => array(
        'code' => 'NOK',
        'name' => 'Norwegian krone',
        'symbol' => 'kr',
        'flag' => 'no',
        'continent' => 'Europe',
        'countries' => array(
            'no',
        ),
        'languages' => array(
            'nb_NO',
            'nn_NO',
        ),
    ),
    'NPR' => array(
        'code' => 'NPR',
        'name' => 'Nepalese rupee',
        'symbol' => '₨',
        'flag' => 'np',
        'continent' => 'Asia',
        'countries' => array(
            'np',
        ),
        'languages' => array(
            'ne_NP',
        ),
    ),
    'NZD' => array(
        'code' => 'NZD',
        'name' => 'New Zealand dollar',
        'symbol' => '$',
        'flag' => 'nz',
        'continent' => 'Oceania',
        'countries' => array(
            'ck',
            'nu',
            'nz',
            'tk',
        ),
        'languages' => array(
            'en_NZ',
            'en_US',
        ),
    ),
    'OMR' => array(
        'code' => 'OMR',
        'name' => 'Omani rial',
        'symbol' => 'ر.ع.',
        'flag' => 'om',
        'continent' => 'Asia',
        'countries' => array(
            'om',
        ),
        'languages' => array(
            'ar',
        ),
    ),
    'PAB' => array(
        'code' => 'PAB',
        'name' => 'Panamanian balboa',
        'symbol' => 'B/.',
        'flag' => 'pa',
        'continent' => 'America',
        'countries' => array(
            'pa',
        ),
        'languages' => array(
            'es_ES',
        ),
    ),
    'PEN' => array(
        'code' => 'PEN',
        'name' => 'Peruvian sol',
        'symbol' => 'S/.',
        'flag' => 'pe',
        'continent' => 'America',
        'countries' => array(
            'pe',
        ),
        'languages' => array(
            'es_PE',
        ),
    ),
    'PGK' => array(
        'code' => 'PGK',
        'name' => 'Papua New Guinean kina',
        'symbol' => 'K',
        'flag' => 'pg',
        'continent' => 'Oceania',
        'countries' => array(
            'pg',
        ),
        'languages' => array(
            'en_US',
        ),
    ),
    'PHP' => array(
        'code' => 'PHP',
        'name' => 'Philippine peso',
        'symbol' => '₱',
        'flag' => 'ph',
        'continent' => 'Asia',
        'countries' => array(
            'ph',
        ),
        'languages' => array(
            'ceb',
            'en_US',
            'tl',
        ),
    ),
    'PKR' => array(
        'code' => 'PKR',
        'name' => 'Pakistani rupee',
        'symbol' => '₨',
        'flag' => 'pk',
        'continent' => 'Asia',
        'countries' => array(
            'pk',
        ),
        'languages' => array(
            'en_US',
            'skr',
            'snd',
            'ur',
        ),
    ),
    'PLN' => array(
        'code' => 'PLN',
        'name' => 'Polish złoty',
        'symbol' => 'zł',
        'flag' => 'pl',
        'continent' => 'Europe',
        'countries' => array(
            'pl',
        ),
        'languages' => array(
            'pl_PL',
            'szl',
        ),
    ),
    'PYG' => array(
        'code' => 'PYG',
        'name' => 'Paraguayan guaraní',
        'symbol' => '₲',
        'flag' => 'py',
        'continent' => 'America',
        'countries' => array(
            'py',
        ),
        'languages' => array(
            'es_ES',
        ),
    ),
    'QAR' => array(
        'code' => 'QAR',
        'name' => 'Qatari riyal',
        'symbol' => 'ر.ق',
        'flag' => 'qa',
        'continent' => 'Asia',
        'countries' => array(
            'qa',
        ),
        'languages' => array(
            'ar',
        ),
    ),
    'RON' => array(
        'code' => 'RON',
        'name' => 'Romanian leu',
        'symbol' => 'lei',
        'flag' => 'ro',
        'continent' => 'Europe',
        'countries' => array(
            'ro',
        ),
        'languages' => array(
            'ro_RO',
        ),
    ),
    'RSD' => array(
        'code' => 'RSD',
        'name' => 'Serbian dinar',
        'symbol' => 'дин.',
        'flag' => 'rs',
        'continent' => 'Europe',
        'countries' => array(
            'rs',
        ),
        'languages' => array(
            'sr_RS',
        ),
    ),
    'RUB' => array(
        'code' => 'RUB',
        'name' => 'Russian ruble',
        'symbol' => '₽',
        'flag' => 'ru',
        'continent' => 'Europe',
        'countries' => array(
            'ru',
        ),
        'languages' => array(
            'ru_RU',
            'sah',
            'tt_RU',
        ),
    ),
    'RWF' => array(
        'code' => 'RWF',
        'name' => 'Rwandan franc',
        'symbol' => 'Fr',
        'flag' => 'rw',
        'continent' => 'Africa',
        'countries' => array(
            'rw',
        ),
        'languages' => array(
            'en_US',
            'fr_FR',
        ),
    ),
    'SAR' => array(
        'code' => 'SAR',
        'name' => 'Saudi riyal',
        'symbol' => 'ر.س',
        'flag' => 'sa',
        'continent' => 'Asia',
        'countries' => array(
            'sa',
        ),
        'languages' => array(
            'ar',
        ),
    ),
    'SBD' => array(
        'code' => 'SBD',
        'name' => 'Solomon Islands dollar',
        'symbol' => '$',
        'flag' => 'sb',
        'continent' => 'Oceania',
        'countries' => array(
            'sb',
        ),
        'languages' => array(
            'en_US',
        ),
    ),
    'SCR' => array(
        'code' => 'SCR',
        'name' => 'Seychellois rupee',
        'symbol' => '₨',
        'flag' => 'sc',
        'continent' => 'Africa',
        'countries' => array(
            'sc',
        ),
        'languages' => array(
            'en_US',
            'fr_FR',
        ),
    ),
    'SDG' => array(
        'code' => 'SDG',
        'name' => 'Sudanese pound',
        'symbol' => 'ج.س.',
        'flag' => 'sd',
        'continent' => 'Africa',
        'countries' => array(
            'sd',
        ),
        'languages' => array(
            'ar',
            'en_US',
        ),
    ),
    'SEK' => array(
        'code' => 'SEK',
        'name' => 'Swedish krona',
        'symbol' => 'kr',
        'flag' => 'se',
        'continent' => 'Europe',
        'countries' => array(
            'se',
        ),
        'languages' => array(
            'sv_SE',
        ),
    ),
    'SGD' => array(
        'code' => 'SGD',
        'name' => 'Singapore dollar',
        'symbol' => '$',
        'flag' => 'sg',
        'continent' => 'Asia',
        'countries' => array(
            'bn',
            'sg',
        ),
        'languages' => array(
            'en_US',
            'ms_MY',
            'ta_IN',
            'ta_LK',
            'zh_CN',
            'zh_HK',
            'zh_TW',
        ),
    ),
    'SHP' => array(
        'code' => 'SHP',
        'name' => 'Saint Helena pound',
        'symbol' => '£',
        'flag' => 'sh',
        'continent' => 'Africa',
        'countries' => array(
            'sh',
        ),
        'languages' => array(
            'en_US',
        ),
    ),
    'SLL' => array(
        'code' => 'SLL',
        'name' => 'Sierra Leonean leone',
        'symbol' => 'Le',
        'flag' => 'sl',
        'continent' => 'Africa',
        'countries' => array(
            'sl',
        ),
        'languages' => array(
            'en_US',
        ),
    ),
    'SOS' => array(
        'code' => 'SOS',
        'name' => 'Somali shilling',
        'symbol' => 'Sh',
        'flag' => 'so',
        'continent' => 'Africa',
        'countries' => array(
            'so',
        ),
        'languages' => array(
            'ar',
        ),
    ),
    'SRD' => array(
        'code' => 'SRD',
        'name' => 'Surinamese dollar',
        'symbol' => '$',
        'flag' => 'sr',
        'continent' => 'America',
        'countries' => array(
            'sr',
        ),
        'languages' => array(
            'nl_NL',
        ),
    ),
    'STD' => array(
        'code' => 'STD',
        'name' => 'São Tomé and Príncipe dobra',
        'symbol' => 'Db',
        'flag' => 'st',
        'continent' => 'Africa',
        'countries' => array(
            'st',
        ),
        'languages' => array(
            'pt_PT',
        ),
    ),
    'SYP' => array(
        'code' => 'SYP',
        'name' => 'Syrian pound',
        'symbol' => '£',
        'flag' => 'sy',
        'continent' => 'Asia',
        'countries' => array(
            'sy',
        ),
        'languages' => array(
            'ar',
        ),
    ),
    'SZL' => array(
        'code' => 'SZL',
        'name' => 'Swazi lilangeni',
        'symbol' => 'L',
        'flag' => 'sz',
        'continent' => 'Africa',
        'countries' => array(
            'sz',
        ),
        'languages' => array(
            'en_US',
        ),
    ),
    'THB' => array(
        'code' => 'THB',
        'name' => 'Thai baht',
        'symbol' => '฿',
        'flag' => 'th',
        'continent' => 'Asia',
        'countries' => array(
            'th',
        ),
        'languages' => array(
            'th',
        ),
    ),
    'TJS' => array(
        'code' => 'TJS',
        'name' => 'Tajikistani somoni',
        'symbol' => 'ЅМ',
        'flag' => 'tj',
        'continent' => 'Asia',
        'countries' => array(
            'tj',
        ),
        'languages' => array(
            'ru_RU',
        ),
    ),
    'TMT' => array(
        'code' => 'TMT',
        'name' => 'Turkmenistan manat',
        'symbol' => 'm',
        'flag' => 'tm',
        'continent' => 'Asia',
        'countries' => array(
            'tm',
        ),
        'languages' => array(
            'ru_RU',
        ),
    ),
    'TND' => array(
        'code' => 'TND',
        'name' => 'Tunisian dinar',
        'symbol' => 'د.ت',
        'flag' => 'tn',
        'continent' => 'Africa',
        'countries' => array(
            'tn',
        ),
        'languages' => array(
            'ar',
        ),
    ),
    'TOP' => array(
        'code' => 'TOP',
        'name' => 'Tongan paʻanga',
        'symbol' => 'T$',
        'flag' => 'to',
        'continent' => 'Oceania',
        'countries' => array(
            'to',
        ),
        'languages' => array(
            'en_US',
        ),
    ),
    'TRY' => array(
        'code' => 'TRY',
        'name' => 'Turkish lira',
        'symbol' => 'TL',
        'flag' => 'tr',
        'continent' => 'Asia',
        'countries' => array(
            'tr',
        ),
        'languages' => array(
            'tr_TR',
        ),
    ),
    'TTD' => array(
        'code' => 'TTD',
        'name' => 'Trinidad and Tobago dollar',
        'symbol' => '$',
        'flag' => 'tt',
        'continent' => 'America',
        'countries' => array(
            'tt',
        ),
        'languages' => array(
            'en_US',
        ),
    ),
    'TVD[G]' => array(
        'code' => 'TVD[G]',
        'name' => 'Tuvaluan dollar',
        'symbol' => '$',
        'flag' => 'tv',
        'continent' => 'Oceania',
        'countries' => array(
            'tv',
        ),
        'languages' => array(
            'en_US',
        ),
    ),
    'TWD' => array(
        'code' => 'TWD',
        'name' => 'New Taiwan dollar',
        'symbol' => '$',
        'flag' => 'tw',
        'continent' => 'Asia',
        'countries' => array(
            'tw',
        ),
        'languages' => array(
            'zh_TW',
        ),
    ),
    'TZS' => array(
        'code' => 'TZS',
        'name' => 'Tanzanian shilling',
        'symbol' => 'Sh',
        'flag' => 'tz',
        'continent' => 'Africa',
        'countries' => array(
            'tz',
        ),
        'languages' => array(
            'en_US',
            'sw',
        ),
    ),
    'UAH' => array(
        'code' => 'UAH',
        'name' => 'Ukrainian hryvnia',
        'symbol' => '₴',
        'flag' => 'ua',
        'continent' => 'Europe',
        'countries' => array(
            'ua',
        ),
        'languages' => array(
            'uk',
        ),
    ),
    'UGX' => array(
        'code' => 'UGX',
        'name' => 'Ugandan shilling',
        'symbol' => 'Sh',
        'flag' => 'ug',
        'continent' => 'Africa',
        'countries' => array(
            'ug',
        ),
        'languages' => array(
            'en_US',
            'sw',
        ),
    ),
    'USD' => array(
        'code' => 'USD',
        'name' => 'United State Dollar',
        'symbol' => '$',
        'flag' => 'us',
        'continent' => 'America',
        'countries' => array(
            'as',
            'ec',
            'fm',
            'gu',
            'kh',
            'mh',
            'mp',
            'pa',
            'pr',
            'pw',
            'sv',
            'tc',
            'tl',
            'us',
            'vg',
            'vi',
            'zw',
        ),
        'languages' => array(
            'en_US',
            'es_EC',
            'es_ES',
            'es_PR',
            'km',
            'pt_PT',
        ),
    ),
    'UYU' => array(
        'code' => 'UYU',
        'name' => 'Uruguayan peso',
        'symbol' => '$',
        'flag' => 'uy',
        'continent' => 'America',
        'countries' => array(
            'uy',
        ),
        'languages' => array(
            'es_UY',
        ),
    ),
    'UZS' => array(
        'code' => 'UZS',
        'name' => 'Uzbekistani so\'m',
        'symbol' => 'лв',
        'flag' => 'uz',
        'continent' => 'Asia',
        'countries' => array(
            'uz',
        ),
        'languages' => array(
            'ru_RU',
            'uz_UZ',
        ),
    ),
    'VEF' => array(
        'code' => 'VEF',
        'name' => 'Venezuelan bolívar',
        'symbol' => 'Bs F',
        'flag' => 've',
        'continent' => 'America',
        'countries' => array(
            've',
        ),
        'languages' => array(
            'es_VE',
        ),
    ),
    'VND' => array(
        'code' => 'VND',
        'name' => 'Vietnamese đồng',
        'symbol' => '₫',
        'flag' => 'vn',
        'continent' => 'Asia',
        'countries' => array(
            'vn',
        ),
        'languages' => array(
            'vi',
        ),
    ),
    'VUV' => array(
        'code' => 'VUV',
        'name' => 'Vanuatu vatu',
        'symbol' => 'Vt',
        'flag' => 'vu',
        'continent' => 'Oceania',
        'countries' => array(
            'vu',
        ),
        'languages' => array(
            'en_US',
            'fr_FR',
        ),
    ),
    'WST' => array(
        'code' => 'WST',
        'name' => 'Samoan tālā',
        'symbol' => 'T',
        'flag' => 'ws',
        'continent' => 'Oceania',
        'countries' => array(
            'ws',
        ),
        'languages' => array(
            'en_US',
        ),
    ),
    'XAF' => array(
        'code' => 'XAF',
        'name' => 'Central African CFA franc',
        'symbol' => 'Fr',
        'flag' => 'cm',
        'continent' => 'Africa',
        'countries' => array(
            'cf',
            'cg',
            'cm',
            'ga',
            'gq',
            'td',
        ),
        'languages' => array(
            'ar',
            'en_US',
            'es_ES',
            'fr_FR',
        ),
    ),
    'XCD' => array(
        'code' => 'XCD',
        'name' => 'East Caribbean dollar',
        'symbol' => '$',
        'flag' => 'ag',
        'continent' => 'America',
        'countries' => array(
            'ag',
            'ai',
            'dm',
            'gd',
            'kn',
            'lc',
            'ms',
            'vc',
        ),
        'languages' => array(
            'en_US',
        ),
    ),
    'XOF' => array(
        'code' => 'XOF',
        'name' => 'West African CFA franc',
        'symbol' => 'Fr',
        'flag' => 'ci',
        'continent' => 'Africa',
        'countries' => array(
            'bf',
            'bj',
            'ci',
            'gw',
            'ml',
            'ne',
            'sn',
            'tg',
        ),
        'languages' => array(
            'fr_FR',
            'pt_PT',
        ),
    ),
    'XPF' => array(
        'code' => 'XPF',
        'name' => 'CFP franc',
        'symbol' => 'Fr',
        'flag' => 'fr',
        'continent' => 'Europe',
        'countries' => array(
            'nc',
            'pf',
            'wf',
        ),
        'languages' => array(
            'fr_FR',
            'tah',
        ),
    ),
    'YER' => array(
        'code' => 'YER',
        'name' => 'Yemeni rial',
        'symbol' => '﷼',
        'flag' => 'ye',
        'continent' => 'Asia',
        'countries' => array(
            'ye',
        ),
        'languages' => array(
            'ar',
        ),
    ),
    'ZAR' => array(
        'code' => 'ZAR',
        'name' => 'South African rand',
        'symbol' => 'R',
        'flag' => 'za',
        'continent' => 'Africa',
        'countries' => array(
            'ls',
            'na',
            'za',
            'zw',
        ),
        'languages' => array(
            'af',
            'en_US',
            'en_ZA',
        ),
    ),
    'ZMW' => array(
        'code' => 'ZMW',
        'name' => 'Zambian kwacha',
        'symbol' => 'ZK',
        'flag' => 'zm',
        'continent' => 'Africa',
        'countries' => array(
            'zm',
        ),
        'languages' => array(
            'en_US',
        ),
    ),
);